import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRCameraAVStreamManagementClusterVideoResolutionStruct } from "./MTRCameraAVStreamManagementClusterVideoResolutionStruct.js";
export declare class _MTRCameraAVStreamManagementClusterCaptureSnapshotResponseParams extends _NSObject {
    static alloc(): _MTRCameraAVStreamManagementClusterCaptureSnapshotResponseParams;
    static new(): _MTRCameraAVStreamManagementClusterCaptureSnapshotResponseParams;
    init(): _MTRCameraAVStreamManagementClusterCaptureSnapshotResponseParams;
    data(): _NSData;
    setData$(value: _NSData): void;
    imageCodec(): _NSNumber;
    setImageCodec$(value: _NSNumber): void;
    resolution(): _MTRCameraAVStreamManagementClusterVideoResolutionStruct;
    setResolution$(value: _MTRCameraAVStreamManagementClusterVideoResolutionStruct): void;
}
export interface _MTRCameraAVStreamManagementClusterCaptureSnapshotResponseParams extends _NSCopying {
}
